<?php
session_start(); // Start the session to check if the user is logged in

// Check if the session is empty (i.e., if the user is logged out)
if (empty($_SESSION['username'])) {
    // If the session is empty, redirect to the login page
    header("Location: login_form.php");
    exit(); // Ensure no further code is executed after the redirect
}
?>
<!doctype html>
<html>
    <head>
        <title>View All Users</title>
    </head>
    <body>
        <?php 
        // Display all users data for admin
        include('mysqli_connect.php'); 

        $query = "SELECT * from users"; // Ensure table 'users' is correct
        $result = mysqli_query($dbc, $query);
        $row_cnt = mysqli_num_rows($result);

        // Display the number of retrieved records
        echo "In total, the number of retrieved records is: <b> $row_cnt </b> <br><br>";

        // Display data for each user
        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
            // Concatenate first and last names to form the full name
            $fullname = $row['firstname'] . ' ' . $row['lastname'];

            // Output the user's data
            echo "<b>Username:</b> " . $row['username'] . "<br>";
            echo "<b>Full Name:</b> " . $fullname . "<br>";
            echo "<b>Email:</b> " . $row['email'] . "<br>";
            echo "<b>Password:</b> " . $row['password'] . "<br><br>"; // Note: not displayed in plaintext
        }

        // Close the database connection
        mysqli_close($dbc);

        // Buttons for navigating
        echo "<button type=\"button\" onclick=\"location.href='secret_page_admin.php'\">Go back</button>";
        echo "<button type=\"button\" onclick=\"location.href='logout.php'\">Log out</button>";
        ?>
    </body>
</html>